extends Node3D

func _ready():
    Input.mouse_mode = Input.MOUSE_MODE_CAPTURED

func _on_pearl_interactable_3d_clicked():
    SteamConnection.unlock_achievement(SteamConnection.ACH_STW_REPAIR_THE_PLANET)
    SceneManager.change_to_scene(CreditsScene.new())
